@use "sass:math";

.mediaView {
  display: grid;
  grid: "avatar content" / 64px auto;
  grid-column-gap: var(--grid-spacing-horizontal);
  grid-row-gap: var(--grid-spacing-vertical);
  gap: var(--grid-spacing-horizontal);
  margin: 0 0 var(--spacing) 0;
  justify-content: start;
}

.mediaAvatar {
  grid-area: avatar;
}

.mediaContent {
  grid-area: content;
  display: flex;
  flex-direction: column;
  align-items: start;
}

.messageContent {
  margin: 0;
  > p:last-child {
    margin: 0;
  }
}

.embedVideoView {
  margin: 0;
  min-width: 480px;
}

.embedVideo {
  min-width: 480px;
  min-height: 270px;
}

.embedThumbnail {
  display: block;
  max-width: 480px;
  position: relative;
  border-radius: var(--border-radius);
  overflow: hidden;
  filter: saturate(50%);
  transition: 600ms filter;
  &:hover,
  &:active,
  &:focus {
    filter: none;
  }
}

$play-icon-size: 80px;

.playIcon {
  position: absolute;
  left: calc(50% - #{math.div($play-icon-size, 2)});
  top: calc(50% - #{math.div($play-icon-size, 2)});
  width: $play-icon-size;
  height: $play-icon-size;
  z-index: 1;
  color: #fff;
  font-size: $play-icon-size;
  text-align: center;
  text-shadow: 0 0 var(--spacing) black;
}
